GCLOUD_PROJECTS_REMOVE-IAM-POLICY-BINDING(1)

NAME

gcloud projects remove-iam-policy-binding - remove IAM policy binding for a project

SYNOPSIS

gcloud projects remove-iam-policy-binding PROJECT_ID --member MEMBER --role ROLE [GLOBAL-FLAG ...]

DESCRIPTION
Removes a policy binding to the IAM policy of a project, given a project ID and the binding.

POSITIONAL ARGUMENTS
PROJECT_ID
    ID for the project you want to remove IAM policy binding from.

REQUIRED FLAGS
--member MEMBER
    The member to remove from the binding.
--role ROLE
    The role to remove the member from.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will remove a IAM policy binding for the role of 'roles/editor' for the user 'test-user@gmail.com' on project with identifier 'example-project-id-1'
    $ gcloud projects remove-iam-policy-binding example-project-id-1 \
        --member='user:test-user@gmail.com' --role='roles/editor'
See https://cloud.google.com/iam/docs/managing-policies for details of policy role and member types.